Method: projects.locations.deploymentGroups.deprovision

Deprovisions a deployment group.

NOTE: As a first step of this operation, Infra Manager will automatically delete any Deployments that were part of the last successful DeploymentGroupRevision but are no longer included in the current DeploymentGroup definition (e.g., following an deploymentGroups.patch call), along with their actuated resources.

HTTP request

POST https://config.googleapis.com/v1/{name=projects/*/locations/*/deploymentGroups/*}:deprovision

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the deployment group to deprovision. Format: 'projects/{projectId}/locations/{location}/deploymentGroups/{deploymentGroup}'. It takes the form projects/{project}/locations/{location}/deploymentGroups/{deploymentgroup}.

Authorization requires the following IAM permission on the specified resource name:

  • config.deploymentgroups.deprovision

Request body

The request body contains data with the following structure:

JSON representation
{
  "force": boolean,
  "deletePolicy": enum (DeletePolicy)
}
Fields
force

boolean

Optional. If set to true, this option is propagated to the deletion of each deployment in the group. This corresponds to the 'force' field in DeleteDeploymentRequest.

deletePolicy

enum (DeletePolicy)

Optional. Policy on how resources within each deployment should be handled during deletion. This policy is applied globally to the deletion of all deployments in this group. This corresponds to the 'deletePolicy' field in DeleteDeploymentRequest.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • config.googleapis.com/config.deploymentgroups.deprovision

For more information, see the IAM documentation.